<?php

/* ------------------------------  Custom Column Section --------------------------------- */


$post_types = 'product';

// After manage text we need to add "custom_post_type" value.

add_filter('manage_' . $post_types . '_posts_columns', 'atfc_custom_column_header');

// After manage text we need to add "custom_post_type" value.

add_action('manage_' . $post_types . '_posts_custom_column', 'atfc_display_custom_column', 10, 1);

function atfc_custom_column_header($columns)
{

    return array_merge(
        $columns,
        array(
            'atfc_display_status' => esc_html__('Hide', 'bwl-atfc') . '<br />' . esc_html__('Attachment Tab', 'bwl-atfc') . '?',
            'atfc_attachments' => esc_html__('Attachment', 'bwl-atfc'),
        )
    );
}

function atfc_display_custom_column($column)
{

    global $post;

    switch ($column) {

        case 'atfc_display_status':

            $atfc_display = get_post_meta($post->ID, 'atfc_display_status', true);

            $atfc_display_status = (empty($atfc_display)) ? "<span class='dashicons dashicons-visibility bwl_plugins_notice_text--success' title='" . esc_html__('Attachment tab is visible.', 'bwl-atfc')  . "'></span>" : "<span class='dashicons dashicons-hidden bwl_plugins_notice_text--danger' title='" . esc_html__('Attachment tab is hidden.', 'bwl-atfc')  . "'></span>";

            echo '<div id="$atfc_display_status-' . $post->ID . '" >' . $atfc_display_status . '</div>';

            break;

        case 'atfc_attachments':

            $atfc_attachments = get_post_meta($post->ID, 'atfc_attachments', true);

            $atfc_attachments_count = (empty($atfc_attachments)) ? 0 : count($atfc_attachments);

            echo '<div id="atfc_attachments-' . $post->ID . '" >' . $atfc_attachments_count . '</div>';

            break;
    }
}