<?php

class AtfcAdminNotice
{

  public function __construct()
  {
    if (BWL_ATFC_VERIFIED != 1) {
      add_action('admin_notices', [$this, 'pluginVerficationNotice']);
    }
  }


  public function getAdminNoticeLists()
  {

    // Key MUST BE Unique. to be unique.
    // is-dismissible = display a close icon.
    // Classes: notice-success, notice-error, notice-warning. notice-info
    // display: 0, 1 [default: 1]

    $noticeLists = [
      [
        'noticeClass' => 'notice-success is-dismissible',
        'msg' => '<strong class="bwl_plugins_notice_text--success"><span class="dashicons dashicons-megaphone"></span> Good News !</strong> We have added a <a href="' . BWL_ATFC_YOUTUBE_PLAYLIST . '" class="bwl_activation_link">YouTube Playlists</a> of <strong>' . BWL_ATFC_PLUGIN_TITLE . '</strong> plugin.',
        'key' => 'atfc_youtube_playlist_status'
      ],
      [
        'noticeClass' => 'notice-error is-dismissible',
        'msg' => '<span class="dashicons dashicons-privacy bwl_plugins_notice_text--danger"></span> Please <a href="' . get_admin_url() . 'admin.php?page=atfc-license" class="bwl_activation_link">activate your copy</a> of the plugin to unlock premium options and official support of <strong>' . BWL_ATFC_PLUGIN_TITLE . '</strong>.',
        'key' => 'atfc_license_status',
        'display' => (BWL_ATFC_VERIFIED == 1) ? 0 : 1
      ]

    ];

    return $noticeLists;
  }

  public function pluginVerficationNotice()
  {

    foreach ($this->getAdminNoticeLists() as $notice) {

      $noticeDisplay = $notice['display'] ?? 1;

      if ($noticeDisplay == 1) {
        echo '<div class="notice ' . trim($notice['noticeClass']) . ' bwl_dn">
                <p class="bwl_plugins_notice_text">' . trim($notice['msg']) . '</p>
                <button utton type="button" class="notice-dismiss atfc_remove_notice" data-key="' . $notice['key'] . '">
                <span class="screen-reader-text">Dismiss this notice.</span>
                </button>
              </div>';
      }
    }
  }
}

new AtfcAdminNotice();
